Class | Chef::Provider::Cron
In: | lib/chef/provider/cron/solaris.rb lib/chef/provider/cron.rb
Parent: | Object

### Methods

action_create action_delete cron_different? load_current_resource new whyrun_supported?

### Included Modules

Chef::Mixin::Command

### Classes and Modules

Class Chef::Provider::Cron::Solaris

### Constants

CRON_PATTERN | = | /\A([-0-9*,\/]+)\s([-0-9*,\/]+)\s([-0-9*,\/]+)\s([-0-9*,\/]+|[a-zA-Z]{3})\s([-0-9*,\/]+|[a-zA-Z]{3})\s(.*)/
ENV_PATTERN | = | /\A(\S+)=(\S*)/
CRON_ATTRIBUTES | = | [:minute, :hour, :day, :month, :weekday, :command, :mailto, :path, :shell, :home, :environment]

### Attributes

cron_empty | [RW] |
cron_exists | [RW] |

### Public Class methods

new(new_resource, run_context)

### Public Instance methods

action_create()
action_delete()
cron_different?()
load_current_resource()
whyrun_supported?()

[Validate]